<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<link rel="stylesheet" href="css/style.css">
	<script src="js/funciones.js"></script>
	<script type="text/javascript">
		window.addEventListener("load", function(){
			//variables para operar
			let num1="";
			let operador="";
			let num2="";
			let resultado=0;
			//estado 0: calculadora sin  usar
			//estado 1: calculadora con digitos introducidos
			//estado 2: calculadora con digitos introducidos y operador pulsado
			//estado 3: calculadora con digitos introducidos, operador pulsado y segundo digito introducido
			let estado=0;
			//para poder imprimir en la pantalla
			let pant=document.querySelector("#pantalla");
			//Array con los botones
			let botones=document.querySelectorAll("button");
			//listener para operar con teclado
			window.addEventListener("keypress",function(e){
				console.log("llega a keypress"+e.key);
					if (e.key<10){
						if (estado==0) {
							//console.log("aqui llega");
							num1+=e.key;	
						}
						if (estado==1){
							//console.log("y aqui tambien");
							num2+=e.key;
						}
						

					}
					if (e.key== "*" || e.key=="/"  || e.key=="+" || e.key=="-" && num1!="") {
						estado=1;
						operador=e.key;
					}
					if (e.key=="=" && num2!=""){
						console.log("se pulso el igual, operador es el: "+operador);
						resultado=opera(num1, operador, num2);
						pant.innerHTML=resultado;	
						estado=0;
						num1="";
						num2="";
						resultado=0;
					}
						
						
					});
			//listener para operar clickando en los botones de la pagina
				botones.forEach((item)=>{
					item.addEventListener("click", (e)=>{
						if (e.target.innerHTML<10){
						if (estado==0) {
							//console.log("aqui llega");
							num1+=e.target.innerHTML;	
						}
						if (estado==1){
							//console.log("y aqui tambien");
							num2+=e.target.innerHTML;
						}
						

					}
					if (e.target.innerHTML== "*" || e.target.innerHTML=="/"  || e.target.innerHTML=="+" || e.target.innerHTML=="-" && num1!="" && estado==0) {
						estado=1;
						operador=e.target.innerHTML;
					}
					if (e.target.innerHTML=="=" && num2!=""){
						console.log("se pulso el igual, operador es el: "+operador);
						resultado=opera(num1, operador, num2);
						pant.innerHTML=resultado;	
						estado=0;
						num1="";
						num2="";
						operador="";
						resultado=0;
					}		
							
					});
				});
			
			
			console.log(opera(10, "/", 4));
			
		});
	</script>
	
</head>
<body>
	<div id="calculadora">
		
		<div id="pantalla"></div>

		<div class="botones"><button type="">7</button></div>
		<div class="botones"><button type="">8</button></div>
		<div class="botones"><button type="">9</button></div>
		<div class="botones"><button type="">/</button></div>
	
		<div class="botones"><button type="">4</button></div>
		<div class="botones"><button type="">5</button></div>
		<div class="botones"><button type="">6</button></div>
		<div class="botones"><button type="">*</button></div>
	
		<div class="botones"><button type="">1</button></div>
		<div class="botones"><button type="">2</button></div>
		<div class="botones"><button type="">3</button></div>
		<div class="botones"><button type="">-</button></div>
	
		<div class="botones"><button type="">0</button></div>
		<div class="botones"><button type="">+</button></div>
		<div class="botones"><button type="">=</button></div>
	</div>
</body>
</html>